Summary: Revision Control System to maintain multiple software versions
Name: rcs-glibc
Version: 5.7
Release: 1
Source: ftp://prep.ai.mit.edu/pub/gnu/rcs-5.7.tar.gz
Patch: rcs-5.7-config.patch
Copyright: GPL
BuildRoot: /tmp/rcs-5.7-root
Group: Development/Version Control
Provides: rcs-5.7 rcs

%description
RCS, the Revision Control System, manages multiple revisions of files.
RCS can store, retrieve, log, identify, and merge revisions.
It is useful for files that are revised frequently,
e.g. programs, documentation, graphics, and papers.

%prep
%setup -n rcs-5.7

%patch0 -p1

%build
CFLAGS="$RPM_OPT_FLAGS -D_GNU_SOURCE" LDFLAGS=-s ./configure --prefix=$RPM_BUILD_ROOT/usr

make RCSPREFIX=

%install
rm -rf $RPM_BUILD_ROOT

make install

cp man/rcsfreeze.1 $RPM_BUILD_ROOT/usr/man/man1/

strip $RPM_BUILD_ROOT/usr/bin/ci
strip $RPM_BUILD_ROOT/usr/bin/co
strip $RPM_BUILD_ROOT/usr/bin/ident
strip $RPM_BUILD_ROOT/usr/bin/merge
strip $RPM_BUILD_ROOT/usr/bin/rcs
strip $RPM_BUILD_ROOT/usr/bin/rcsclean
strip $RPM_BUILD_ROOT/usr/bin/rcsdiff
strip $RPM_BUILD_ROOT/usr/bin/rcsmerge
strip $RPM_BUILD_ROOT/usr/bin/rlog

%clean
rm -rf $RPM_BUILD_ROOT

%files
%doc COPYING CREDITS NEWS README REFS
/usr/man/man1/ci.1
/usr/man/man1/co.1
/usr/man/man1/ident.1
/usr/man/man1/merge.1
/usr/man/man1/rcs.1
/usr/man/man1/rcsclean.1
/usr/man/man1/rcsdiff.1
/usr/man/man1/rcsfreeze.1
/usr/man/man1/rcsintro.1
/usr/man/man1/rcsmerge.1
/usr/man/man1/rlog.1
/usr/man/man5/rcsfile.5
/usr/bin/ci
/usr/bin/co
/usr/bin/ident
/usr/bin/merge
/usr/bin/rcs
/usr/bin/rcsclean
/usr/bin/rcsdiff
/usr/bin/rcsmerge
/usr/bin/rlog